Subject: Re: [PATCH net v4] smsc911x: only update stats when interface is up

From: Wolfram Sang <[email-masked]>
Date: Fri, 31 Mar 2023 08:33:24 +0200

> Okay, core changes aside - does pm_runtime_put() imply an RCU sync?
> Otherwise your check in get_stats is racy...

From some light research, I can't find a trace of RCU sync. Pity, I'll
need to move furhter investigation to later. I'll report back if I have
something, but it may take a while. Thanks for the help!